diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -10719,7 +11384,8 @@ namespace Illuminate\Support\Facades {
         public static function getLocale()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getLocale();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getLocale();
         }
         
         /**
@@ -10732,7 +11398,8 @@ namespace Illuminate\Support\Facades {
         public static function isMethod($method)
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isMethod($method);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isMethod($method);
         }
         
         /**
@@ -10746,7 +11413,8 @@ namespace Illuminate\Support\Facades {
         public static function isMethodSafe()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isMethodSafe();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isMethodSafe();
         }
         
         /**
@@ -10758,20 +11426,22 @@ namespace Illuminate\Support\Facades {
         public static function isMethodIdempotent()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isMethodIdempotent();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isMethodIdempotent();
         }
         
         /**
          * Checks whether the method is cacheable or not.
          *
          * @see https://tools.ietf.org/html/rfc7231#section-4.2.3
-         * @return bool 
+         * @return bool True for GET and HEAD, false otherwise
          * @static 
          */ 
         public static function isMethodCacheable()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isMethodCacheable();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isMethodCacheable();
         }
         
         /**
@@ -10789,7 +11459,8 @@ namespace Illuminate\Support\Facades {
         public static function getProtocolVersion()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getProtocolVersion();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getProtocolVersion();
         }
         
         /**
@@ -10803,7 +11474,8 @@ namespace Illuminate\Support\Facades {
         public static function getContent($asResource = false)
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getContent($asResource);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getContent($asResource);
         }
         
         /**
@@ -10815,7 +11487,8 @@ namespace Illuminate\Support\Facades {
         public static function getETags()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getETags();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getETags();
         }
         
         /**
@@ -10827,7 +11500,8 @@ namespace Illuminate\Support\Facades {
         public static function isNoCache()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isNoCache();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isNoCache();
         }
         
         /**
@@ -10840,7 +11514,8 @@ namespace Illuminate\Support\Facades {
         public static function getPreferredLanguage($locales = null)
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getPreferredLanguage($locales);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getPreferredLanguage($locales);
         }
         
         /**
@@ -10852,7 +11527,8 @@ namespace Illuminate\Support\Facades {
         public static function getLanguages()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getLanguages();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getLanguages();
         }
         
         /**
@@ -10864,7 +11540,8 @@ namespace Illuminate\Support\Facades {
         public static function getCharsets()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getCharsets();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getCharsets();
         }
         
         /**
@@ -10876,7 +11553,8 @@ namespace Illuminate\Support\Facades {
         public static function getEncodings()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getEncodings();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getEncodings();
         }
         
         /**
@@ -10888,7 +11566,8 @@ namespace Illuminate\Support\Facades {
         public static function getAcceptableContentTypes()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getAcceptableContentTypes();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->getAcceptableContentTypes();
         }
         
         /**
@@ -10904,7 +11583,8 @@ namespace Illuminate\Support\Facades {
         public static function isXmlHttpRequest()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isXmlHttpRequest();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isXmlHttpRequest();
         }
         
         /**
@@ -10919,7 +11599,8 @@ namespace Illuminate\Support\Facades {
         public static function isFromTrustedProxy()
         {
             //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::isFromTrustedProxy();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isFromTrustedProxy();
         }
         
         /**
@@ -10932,7 +11613,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function matchesType($actual, $type)
         {
-            return \Illuminate\Http\Request::matchesType($actual, $type);
+                        return \Illuminate\Http\Request::matchesType($actual, $type);
         }
         
         /**
@@ -10943,7 +11624,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function isJson()
         {
-            return \Illuminate\Http\Request::isJson();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->isJson();
         }
         
         /**
@@ -10954,7 +11636,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function expectsJson()
         {
-            return \Illuminate\Http\Request::expectsJson();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->expectsJson();
         }
         
         /**
@@ -10965,7 +11648,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function wantsJson()
         {
-            return \Illuminate\Http\Request::wantsJson();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->wantsJson();
         }
         
         /**
@@ -10977,7 +11661,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function accepts($contentTypes)
         {
-            return \Illuminate\Http\Request::accepts($contentTypes);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->accepts($contentTypes);
         }
         
         /**
@@ -10989,7 +11674,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function prefers($contentTypes)
         {
-            return \Illuminate\Http\Request::prefers($contentTypes);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->prefers($contentTypes);
         }
         
         /**
@@ -11000,7 +11686,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function acceptsAnyContentType()
         {
-            return \Illuminate\Http\Request::acceptsAnyContentType();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->acceptsAnyContentType();
         }
         
         /**
@@ -11011,7 +11698,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function acceptsJson()
         {
-            return \Illuminate\Http\Request::acceptsJson();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->acceptsJson();
         }
         
         /**
@@ -11022,7 +11710,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function acceptsHtml()
         {
-            return \Illuminate\Http\Request::acceptsHtml();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->acceptsHtml();
         }
         
         /**
@@ -11034,7 +11723,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function format($default = 'html')
         {
-            return \Illuminate\Http\Request::format($default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->format($default);
         }
         
         /**
@@ -11047,7 +11737,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function old($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::old($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->old($key, $default);
         }
         
         /**
@@ -11058,7 +11749,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flash()
         {
-            \Illuminate\Http\Request::flash();
+                        /** @var \Illuminate\Http\Request $instance */
+                        $instance->flash();
         }
         
         /**
@@ -11070,7 +11762,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flashOnly($keys)
         {
-            \Illuminate\Http\Request::flashOnly($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        $instance->flashOnly($keys);
         }
         
         /**
@@ -11082,7 +11775,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flashExcept($keys)
         {
-            \Illuminate\Http\Request::flashExcept($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        $instance->flashExcept($keys);
         }
         
         /**
@@ -11093,7 +11787,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function flush()
         {
-            \Illuminate\Http\Request::flush();
+                        /** @var \Illuminate\Http\Request $instance */
+                        $instance->flush();
         }
         
         /**
@@ -11106,7 +11801,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function server($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::server($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->server($key, $default);
         }
         
         /**
@@ -11118,7 +11814,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasHeader($key)
         {
-            return \Illuminate\Http\Request::hasHeader($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->hasHeader($key);
         }
         
         /**
@@ -11131,7 +11828,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function header($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::header($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->header($key, $default);
         }
         
         /**
@@ -11142,7 +11840,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function bearerToken()
         {
-            return \Illuminate\Http\Request::bearerToken();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->bearerToken();
         }
         
         /**
@@ -11154,7 +11853,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function exists($key)
         {
-            return \Illuminate\Http\Request::exists($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->exists($key);
         }
         
         /**
@@ -11166,7 +11866,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function has($key)
         {
-            return \Illuminate\Http\Request::has($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->has($key);
         }
         
         /**
@@ -11178,7 +11879,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasAny($keys)
         {
-            return \Illuminate\Http\Request::hasAny($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->hasAny($keys);
         }
         
         /**
@@ -11190,7 +11892,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function filled($key)
         {
-            return \Illuminate\Http\Request::filled($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->filled($key);
         }
         
         /**
@@ -11202,7 +11905,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function anyFilled($keys)
         {
-            return \Illuminate\Http\Request::anyFilled($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->anyFilled($keys);
         }
         
         /**
@@ -11213,7 +11917,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function keys()
         {
-            return \Illuminate\Http\Request::keys();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->keys();
         }
         
         /**
@@ -11225,7 +11930,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function all($keys = null)
         {
-            return \Illuminate\Http\Request::all($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->all($keys);
         }
         
         /**
@@ -11238,7 +11944,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function input($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::input($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->input($key, $default);
         }
         
         /**
@@ -11250,7 +11957,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function only($keys)
         {
-            return \Illuminate\Http\Request::only($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->only($keys);
         }
         
         /**
@@ -11262,7 +11970,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function except($keys)
         {
-            return \Illuminate\Http\Request::except($keys);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->except($keys);
         }
         
         /**
@@ -11275,7 +11984,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function query($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::query($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->query($key, $default);
         }
         
         /**
@@ -11288,7 +11998,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function post($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::post($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->post($key, $default);
         }
         
         /**
@@ -11300,7 +12011,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasCookie($key)
         {
-            return \Illuminate\Http\Request::hasCookie($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->hasCookie($key);
         }
         
         /**
@@ -11313,7 +12025,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function cookie($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::cookie($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->cookie($key, $default);
         }
         
         /**
@@ -11324,7 +12037,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function allFiles()
         {
-            return \Illuminate\Http\Request::allFiles();
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->allFiles();
         }
         
         /**
@@ -11336,7 +12050,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasFile($key)
         {
-            return \Illuminate\Http\Request::hasFile($key);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->hasFile($key);
         }
         
         /**
@@ -11344,12 +12059,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $key
          * @param mixed $default
-         * @return \Illuminate\Http\UploadedFile|array|null 
+         * @return \Illuminate\Http\UploadedFile|\Illuminate\Http\UploadedFile[]|array|null 
          * @static 
          */ 
         public static function file($key = null, $default = null)
         {
-            return \Illuminate\Http\Request::file($key, $default);
+                        /** @var \Illuminate\Http\Request $instance */
+                        return $instance->file($key, $default);
         }
         
         /**
@@ -11362,20 +12078,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macro($name, $macro)
         {
-            \Illuminate\Http\Request::macro($name, $macro);
+                        \Illuminate\Http\Request::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Illuminate\Http\Request::mixin($mixin);
+                        \Illuminate\Http\Request::mixin($mixin, $replace);
         }
         
         /**
@@ -11387,7 +12104,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMacro($name)
         {
-            return \Illuminate\Http\Request::hasMacro($name);
+                        return \Illuminate\Http\Request::hasMacro($name);
         }
         
         /**
@@ -11397,7 +12114,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function validate($rules, $params = null)
         {
-            return \Illuminate\Http\Request::validate($rules, $params);
+                        return \Illuminate\Http\Request::validate($rules, $params);
         }
         
         /**
@@ -11405,9 +12122,9 @@ namespace Illuminate\Support\Facades {
          *
          * @static 
          */ 
-        public static function hasValidSignature()
+        public static function hasValidSignature($absolute = true)
         {
-            return \Illuminate\Http\Request::hasValidSignature();
+                        return \Illuminate\Http\Request::hasValidSignature($absolute);
         }
          
     }
@@ -11415,18 +12132,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static \Illuminate\Http\Response make(string $content = '', int $status = 200, array $headers = [])
-     * @method static \Illuminate\Http\Response view(string $view, array $data = [], int $status = 200, array $headers = [])
-     * @method static \Illuminate\Http\JsonResponse json(string|array $data = [], int $status = 200, array $headers = [], int $options = 0)
-     * @method static \Illuminate\Http\JsonResponse jsonp(string $callback, string|array $data = [], int $status = 200, array $headers = [], int $options = 0)
-     * @method static \Symfony\Component\HttpFoundation\StreamedResponse stream(\Closure $callback, int $status = 200, array $headers = [])
-     * @method static \Symfony\Component\HttpFoundation\StreamedResponse streamDownload(\Closure $callback, string|null $name = null, array $headers = [], string|null $disposition = 'attachment')
-     * @method static \Symfony\Component\HttpFoundation\BinaryFileResponse download(\SplFileInfo|string $file, string|null $name = null, array $headers = [], string|null $disposition = 'attachment')
-     * @method static \Illuminate\Http\RedirectResponse redirectTo(string $path, int $status = 302, array $headers = [], bool|null $secure = null)
-     * @method static \Illuminate\Http\RedirectResponse redirectToRoute(string $route, array $parameters = [], int $status = 302, array $headers = [])
-     * @method static \Illuminate\Http\RedirectResponse redirectToAction(string $action, array $parameters = [], int $status = 302, array $headers = [])
-     * @method static \Illuminate\Http\RedirectResponse redirectGuest(string $path, int $status = 302, array $headers = [], bool|null $secure = null)
-     * @method static \Illuminate\Http\RedirectResponse redirectToIntended(string $default = '/', int $status = 302, array $headers = [], bool|null $secure = null)
      * @see \Illuminate\Contracts\Routing\ResponseFactory
      */ 
     class Response {
@@ -11442,7 +12147,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function make($content = '', $status = 200, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::make($content, $status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->make($content, $status, $headers);
         }
         
         /**
@@ -11455,7 +12161,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function noContent($status = 204, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::noContent($status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->noContent($status, $headers);
         }
         
         /**
@@ -11470,7 +12177,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function view($view, $data = array(), $status = 200, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::view($view, $data, $status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->view($view, $data, $status, $headers);
         }
         
         /**
@@ -11485,7 +12193,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function json($data = array(), $status = 200, $headers = array(), $options = 0)
         {
-            return \Illuminate\Routing\ResponseFactory::json($data, $status, $headers, $options);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->json($data, $status, $headers, $options);
         }
         
         /**
@@ -11501,7 +12210,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function jsonp($callback, $data = array(), $status = 200, $headers = array(), $options = 0)
         {
-            return \Illuminate\Routing\ResponseFactory::jsonp($callback, $data, $status, $headers, $options);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->jsonp($callback, $data, $status, $headers, $options);
         }
         
         /**
@@ -11515,7 +12225,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function stream($callback, $status = 200, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::stream($callback, $status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->stream($callback, $status, $headers);
         }
         
         /**
@@ -11530,7 +12241,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function streamDownload($callback, $name = null, $headers = array(), $disposition = 'attachment')
         {
-            return \Illuminate\Routing\ResponseFactory::streamDownload($callback, $name, $headers, $disposition);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->streamDownload($callback, $name, $headers, $disposition);
         }
         
         /**
@@ -11545,7 +12257,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function download($file, $name = null, $headers = array(), $disposition = 'attachment')
         {
-            return \Illuminate\Routing\ResponseFactory::download($file, $name, $headers, $disposition);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->download($file, $name, $headers, $disposition);
         }
         
         /**
@@ -11558,7 +12271,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function file($file, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::file($file, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->file($file, $headers);
         }
         
         /**
@@ -11573,7 +12287,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirectTo($path, $status = 302, $headers = array(), $secure = null)
         {
-            return \Illuminate\Routing\ResponseFactory::redirectTo($path, $status, $headers, $secure);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->redirectTo($path, $status, $headers, $secure);
         }
         
         /**
@@ -11588,7 +12303,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirectToRoute($route, $parameters = array(), $status = 302, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::redirectToRoute($route, $parameters, $status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->redirectToRoute($route, $parameters, $status, $headers);
         }
         
         /**
@@ -11603,7 +12319,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirectToAction($action, $parameters = array(), $status = 302, $headers = array())
         {
-            return \Illuminate\Routing\ResponseFactory::redirectToAction($action, $parameters, $status, $headers);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->redirectToAction($action, $parameters, $status, $headers);
         }
         
         /**
@@ -11618,7 +12335,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirectGuest($path, $status = 302, $headers = array(), $secure = null)
         {
-            return \Illuminate\Routing\ResponseFactory::redirectGuest($path, $status, $headers, $secure);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->redirectGuest($path, $status, $headers, $secure);
         }
         
         /**
@@ -11633,7 +12351,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirectToIntended($default = '/', $status = 302, $headers = array(), $secure = null)
         {
-            return \Illuminate\Routing\ResponseFactory::redirectToIntended($default, $status, $headers, $secure);
+                        /** @var \Illuminate\Routing\ResponseFactory $instance */
+                        return $instance->redirectToIntended($default, $status, $headers, $secure);
         }
         
         /**
